Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro	(revision 4513)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro	(revision 4514)
@@ -203,4 +203,25 @@
   ENDELSE
 ;
+  Iage_1 = read_ncdf(getenv('VAR1_Iage'), allrecords = allrec, filename = std_file1_I ) 
+  caldat, time, mm
+  march = where(mm EQ 3, cnt)
+  Iage_march_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Iage_1.unit}
+  sept = where(mm EQ 9, cnt)
+  Iage_sept_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Iage_1.unit} 
+  undefine, Iage_1
+;
+  IF std_file2_I NE std_file1_I THEN BEGIN
+     Iage_2 = read_ncdf(getenv('VAR2_Iage'), allrecords = allrec, filename = std_file2_I ) 
+     caldat, time, mm
+     march = where(mm EQ 3, cnt)
+     Iage_march_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
+     sept = where(mm EQ 9, cnt)
+     Iage_sept_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
+     undefine, Iage_2
+  ENDIF ELSE BEGIN 
+     Iage_march_2 = {arr:-1}
+     Iage_sept_2 = {arr:-1}
+  ENDELSE
+;
   Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I ) 
   ;; help, Ifra_1.arr, jpi,jpj
@@ -225,26 +246,62 @@
   ENDELSE
 ;
-;; SF commentato perché non funziona snow
-;; SF   Isnow_1 = read_ncdf(getenv('VAR1_Isnow'), allrecords = allrec, filename = std_file1_I ) 
-;; SF   help, Isnow_1.arr, jpi,jpj
-;; SF   caldat, time, mm
-;; SF   april = where(mm EQ 4, cnt)
-;; SF   Isnow_april_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Isnow_1.unit} 
-;; SF   sept = where(mm EQ 9, cnt)
-;; SF   Isnow_sept_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_1.unit}
-;; SF   ;undefine, Isnow_1
-;; SF ;
-;; SF   IF std_file2_I NE std_file1_I THEN BEGIN
-;; SF     Isnow_2 = read_ncdf(getenv('VAR2_Isnow'), allrecords = allrec, filename = std_file2_I ) 
-;; SF     caldat, time, mm
-;; SF     april = where(mm EQ 4, cnt)
-;; SF     Isnow_april_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
-;; SF     sept = where(mm EQ 9, cnt)
-;; SF     Isnow_sept_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
-;; SF   ;  undefine, Isnow_2
-;; SF   ENDIF ELSE BEGIN 
-;; SF     Isnow_april_2 = {arr:-1}
-;; SF     Isnow_sept_2 = {arr:-1}
-;; SF   ENDELSE
+   Isnow_1 = read_ncdf(getenv('VAR1_Isnow'), allrecords = allrec, filename = std_file1_I ) 
+   caldat, time, mm
+   march = where(mm EQ 3, cnt)
+   Isnow_march_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isnow_1.unit} 
+   sept = where(mm EQ 9, cnt)
+   Isnow_sept_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_1.unit}
+   ;undefine, Isnow_1
+ ;
+   IF std_file2_I NE std_file1_I THEN BEGIN
+     Isnow_2 = read_ncdf(getenv('VAR2_Isnow'), allrecords = allrec, filename = std_file2_I ) 
+     caldat, time, mm
+     march = where(mm EQ 3, cnt)
+     Isnow_march_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
+     sept = where(mm EQ 9, cnt)
+     Isnow_sept_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
+   ;  undefine, Isnow_2
+   ENDIF ELSE BEGIN 
+     Isnow_march_2 = {arr:-1}
+     Isnow_sept_2 = {arr:-1}
+   ENDELSE
+;
+   Isal_1 = read_ncdf(getenv('VAR1_Isal'), allrecords = allrec, filename = std_file1_I ) 
+   Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I )
+   msk = Ifra_1.arr gt 0.15 ; remove 0.15% for observations 
+   help, Ifra_1
+   help, mask
+   caldat, time, mm
+   march = where(mm EQ 3, cnt)
+   febr = where(mm EQ 2, cnt)
+   ;SF  Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
+   Isal_1.arr = Isal_1.arr * msk
+   help, Isal_1
+   Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
+   help, Isal_march_1
+   Isal_febr_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
+   sept = where(mm EQ 9, cnt)
+   Isal_sept_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isal_1.unit}
+   ;undefine, Isal_1
+ ;
+   Isal_2 = read_ncdf(getenv('VAR2_Isal'), allrecords = allrec, filename = std_file2_I ) 
+   Ifra_2 = read_ncdf(getenv('VAR2_Ifrac'), allrecords = allrec, filename = std_file2_I )
+   msk = Ifra_2.arr gt 0.15 ; remove 0.15% for observations 
+   IF std_file2_I NE std_file1_I THEN BEGIN
+     Isal_2 = read_ncdf(getenv('VAR2_Isal'), allrecords = allrec, filename = std_file2_I ) 
+     Isal_2.arr = Isal_2.arr * msk
+     caldat, time, mm
+     march = where(mm EQ 3, cnt)
+     febr = where(mm EQ 2, cnt)
+     Isal_march_2 = {arr:1./float(cnt) * total(reform(Isal_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_2.unit}
+     Isal_febr_2 = {arr:1./float(cnt) * total(reform(Isal_2.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Isal_2.unit}
+     sept = where(mm EQ 9, cnt)
+     Isal_sept_2 = {arr:1./float(cnt) * total(reform(Isal_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isal_2.unit}
+   ;  undefine, Isal_2
+   ENDIF ELSE BEGIN 
+     Isal_febr_2 = {arr:-1}
+     Isal_march_2 = {arr:-1}
+     Isal_sept_2 = {arr:-1}
+   ENDELSE
 ;
   jpt = 1
@@ -282,45 +339,44 @@
   cnt = cnt+1   &   blabla = 'Erp salinity damping term'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_erp, ERP1, ERP2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Evaporation - Precipitation - Runoff term'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_emp, EMP1, EMP2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Net heat flux'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_qnet, Q1, Q2, QNET, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Meridionnal Heat Transport'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_mht, Q1.arr+geo, Q2.arr+geo, masknp, std_file_msksub, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Global Barotropic stream Function'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_bsf, U1, U2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'mean Temperature diff with New Reynolds'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_sst, T1, T2, TRey, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'mean Salinity diff with Levitus'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_sss, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, SLev, _extra = ex       
-
+;
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus and exp2'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, SLev, /z100, _extra = ex       
- 
+; 
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus and exp2 at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, S2, SLev, /z100, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'mean Temperature diff with Levitus at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_T100m, T1, T2, Tlev, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'mean Salinity diff with Levitus at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_S100m, S1, S2, SLev, _extra = ex
- 
-;;SF need monthly climatology to plot difference of MAX of MLD  
-  cnt = cnt+1   &   blabla = 'Mixed layer depth & difference with DeBoyer'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_mld, MLD_1, MLD, _extra = ex
-   
+;  
+  cnt = cnt+1   &   blabla = 'Mixed layer depth'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_mld, MLD1, MLD, _extra = ex
+;
   cnt = cnt+1   &   blabla = 'Mixed layer depth differences'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_mld, MLD_1, MLD_2, MLD, _extra = ex
@@ -339,111 +395,128 @@
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Global'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Atlantic'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, SUBBASIN = 'Atl', _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Indian'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, SUBBASIN = 'Ind', _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Pacific'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, SUBBASIN = 'Pac', _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Global'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Atlantic'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, SUBBASIN = 'Atl', _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Indian'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, SUBBASIN = 'Ind', _extra = ex 
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Pacific'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, SUBBASIN = 'Pac', _extra = ex 
-  
+;  
 ;  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: MARCH'
 ;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ARC, /MARCH, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ARC, /APRIL, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_sept_1, Ithi_sept_2, /ARC, /SEPT, _extra = ex
-  
+;  
 ;  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: MARCH'
 ;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ANT, /MARCH, _extra = ex
-
+; 
   cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ANT, /APRIL, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_sept_1, Ithi_sept_2, /ANT, /SEPT, _extra = ex
-
+;
+  cnt = cnt+1   &   blabla = 'Arctic Ice Age: MARCH'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_march_1, Iage_march_2, /ARC, /MARCH, _extra = ex
+;  
+  cnt = cnt+1   &   blabla = 'Arctic Ice Age: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_sept_1, Iage_sept_2, /ARC, /SEPT, _extra = ex
+;  
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Age: MARCH'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_march_1, Iage_march_2, /ANT, /MARCH, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Age: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_sept_1, Iage_sept_2, /ANT, /SEPT, _extra = ex
+;
   cnt = cnt+1   &   blabla = 'Arctic Ice Fraction: MARCH'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_march_1, Ifra_march_2, /ARC, /MARCH, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Arctic Ice Fraction: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_sept_1, Ifra_sept_2, /ARC, /SEPT, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Antarctic Ice Fraction: MARCH'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_march_1, Ifra_march_2, /ANT, /MARCH, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Antarctic Ice Fraction: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
-
-;; SF non funziona, dice che deve essere una struttura e non e!!!!
-;;SF  cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: APRIL'
-;;SF  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ARC, /APRIL, _extra = ex
-;; SF 
-;; SF   cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: SEPT'
-;; SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ARC, /SEPT, _extra = ex
-;; SF  
-;; SF   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: APRIL'
-;; SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ANT, /APRIL, _extra = ex
-;; SF  
-;; SF   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: SEPT'
-;; SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ANT, /SEPT, _extra = ex
-; 
-;  cnt = cnt+1   &   blabla = 'Arctic Ice Extend: '
-;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ARC,  _extra = ex
-  
-;  cnt = cnt+1   &   blabla = 'Antarctic Ice Extend: '
-;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ANT,  _extra = ex
-
+;
+  cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: MARCH'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_march_1, Isnow_march_2, /ARC, /MARCH, _extra = ex
+; 
+  cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ARC, /SEPT, _extra = ex
+;  
+  cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: MARCH'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_march_1, Isnow_march_2, /ANT, /MARCH, _extra = ex
+; 
+  cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ANT, /SEPT, _extra = ex
+; 
+  cnt = cnt+1   &   blabla = 'Arctic Ice Salinity: MARCH'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_march_1, Isal_march_2, /ARC, /MARCH, _extra = ex
+; 
+  cnt = cnt+1   &   blabla = 'Arctic Ice Salinity: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_sept_1, Isal_sept_2, /ARC, /SEPT, _extra = ex
+;  
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Salinity: FEBRUARY'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_febr_1, Isal_febr_2, /ANT, /FEBR, _extra = ex
+; 
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Salinity: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_sept_1, Isal_sept_2, /ANT, /SEPT, _extra = ex
+; 
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Global (no Med)'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'GloNoMed', _extra = ex
-
+;  
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Atlantic'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'Atl', _extra = ex
-
+ ;
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Indian'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'Ind', _extra = ex
-
+ ;
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Indo-Pacific'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'IndoPac', _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Equatorial Temperature'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_EqT, T1, T2, Tlev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Equatorial Salinity'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_EqS, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Equatorial zonal velocity'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_EqU, U1, U2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean salt tongue at depth=700'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sspread, S1, S2, SLev, 700, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean salt tongue at depth=1000'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sspread, S1, S2, SLev, 1000, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean water at lat=40°N'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sdepth, S1, S2, SLev, 40, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mediterranean water at lat=38°N'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sdepth, S1, S2, SLev, 38, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Vertical Global mean T & S'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_GlobMeanTS, T1, T2, TLev, S1, S2, SLev, _extra = ex
-
+;
   IF n_elements(htmltxt) GT 1 THEN putfile, psdir+'std_plot_html_body.txt', htmltxt[1:*]
   
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh	(revision 4513)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh	(revision 4514)
@@ -69,6 +69,7 @@
 VAR1_Ithick=sithic
 VAR1_Ifrac=siconc
-VAR1_Isnow=sndept
+VAR1_Isnow=snvolu
 VAR1_Isal=sisali
+VAR1_Iage=siages
 #
 #===================== EXP2 =====================
@@ -88,6 +89,7 @@
 VAR2_Ithick=sithic
 VAR2_Ifrac=siconc
-VAR2_Isnow=sndept
+VAR2_Isnow=snvolu
 VAR2_Isal=sisali
+VAR2_Iage=siages
 #
 ######################### Export Variables ###############################
@@ -113,9 +115,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.last_year_5D
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.last_year_5D	(revision 4513)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.last_year_5D	(revision 4514)
@@ -26,7 +26,7 @@
 SAXO_DIR=/Users/sflod/SAXO_DIR
 #
-DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada     # path of data in NetCDF format
-DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
-DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
+DIR_DATA=~/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada     # path of data in NetCDF format
+DIR_CLIMATO=~/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
+DIR_MASK=~//idl_PLOTS/MASK  # path of mask files (ex: subbasins)
 #
 #===================== Model GRID =====================
@@ -55,46 +55,28 @@
 #===================== EXP1 =====================
 #
-#FILE1_T=l3fwb178_24910101_25001231_1Y_grid_T.nc   # exp1 grid T input file
-#FILE1_U=l3fwb178_24910101_25001231_1Y_grid_U.nc   # exp1 grid U input file
-#FILE1_V=l3fwb178_24910101_25001231_1Y_grid_V.nc   # exp1 grid V input file
-#FILE1_I=l3fwb178_24910101_25001231_1M_icemod.nc   # exp1 ice    input file
 FILE1_T=l3fwb178_25010101_25011231_5D_grid_T.nc   # exp1 grid T input file
 FILE1_U=l3fwb178_25010101_25011231_5D_grid_U.nc   # exp1 grid U input file
 FILE1_V=l3fwb178_25010101_25011231_5D_grid_V.nc   # exp1 grid V input file
 FILE1_I=l3fwb178_25010101_25011231_5D_icemod.nc   # exp1 ice    input file
-VAR1_T=votemper         
-VAR1_S=vosaline         
+VAR1_T=votemper
+VAR1_S=vosaline
 VAR1_QNET=sohflxdo
-VAR1_ERP=sowafldp      
-VAR1_EMP=sowaflup       
-#VAR1_MLD=somxl010
+VAR1_ERP=sowafldp
+VAR1_EMP=sowaflup
 VAR1_MLD=max5dmld
-#VAR1_U=uocetr_eff
-#VAR1_U=uoce
-#VAR1_U=vozocrtx
 VAR1_U=vozoeftr
-#VAR1_V=vocetr_eff
-#VAR1_V=voce
 VAR1_V=vomeeftr
-#VAR1_V=vomecrty
-VAR1_Ithick=iicethic    
+VAR1_Ithick=iicethic
 VAR1_Ifrac=iiceconc
-VAR1_Isnow=isnowthi
+VAR1_Isnow=isnowvol
 VAR1_Isal=iicesali
+VAR1_Iage=iiceages
 #
 #===================== EXP2 =====================
 #
-#FILE2_T=l3fwb178_24910101_25001231_1Y_grid_T.nc   # exp1 grid T input file
-#FILE2_U=l3fwb178_24910101_25001231_1Y_grid_U.nc   # exp1 grid U input file
-#FILE2_V=l3fwb178_24910101_25001231_1Y_grid_V.nc   # exp1 grid V input file
-#FILE2_I=l3fwb178_24910101_25001231_1M_icemod.nc   # exp1 ice    input file
 FILE2_T=l3fwb178_25010101_25011231_5D_grid_T.nc   # exp1 grid T input file
 FILE2_U=l3fwb178_25010101_25011231_5D_grid_U.nc   # exp1 grid U input file
 FILE2_V=l3fwb178_25010101_25011231_5D_grid_V.nc   # exp1 grid V input file
 FILE2_I=l3fwb178_25010101_25011231_5D_icemod.nc   # exp1 ice    input file
-#FILE2_T=l378sal6_25010101_25011231_5D_grid_T.nc   # exp1 grid T input file
-#FILE2_U=l378sal6_25010101_25011231_5D_grid_U.nc   # exp1 grid U input file
-#FILE2_V=l378sal6_25010101_25011231_5D_grid_V.nc   # exp1 grid V input file
-#FILE2_I=l378sal6_25010101_25011231_5D_icemod.nc   # exp1 ice    input file
 VAR2_T=votemper
 VAR2_S=vosaline
@@ -102,11 +84,6 @@
 VAR2_ERP=sowafldp
 VAR2_EMP=sowaflup
-#VAR2_MLD=somxl010
 VAR2_MLD=max5dmld
-#VAR2_U=uoce_eff
-#VAR2_U=uoce
 VAR2_U=vozoeftr
-#VAR2_V=vocetr_eff
-#VAR2_V=voce
 VAR2_V=vomeeftr
 VAR2_Ithick=iicethic
@@ -114,4 +91,5 @@
 VAR2_Isnow=isnowthi
 VAR2_Isal=iicesali
+VAR2_Iage=iiceages
 #
 ######################### Export Variables ###############################
@@ -137,9 +115,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names	(revision 4513)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names	(revision 4514)
@@ -69,6 +69,7 @@
 VAR1_Ithick=sithic
 VAR1_Ifrac=siconc
-VAR1_Isnow=sndept
+VAR1_Isnow=snvolu
 VAR1_Isal=sisali
+VAR1_Iage=siages
 #
 #===================== EXP2 =====================
@@ -88,6 +89,7 @@
 VAR2_Ithick=sithic
 VAR2_Ifrac=siconc
-VAR2_Isnow=sndept
+VAR2_Isnow=snvolu
 VAR2_Isal=sisali
+VAR2_Iage=siages
 #
 ######################### Export Variables ###############################
@@ -113,9 +115,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.old_names
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.old_names	(revision 4514)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.old_names	(revision 4514)
@@ -0,0 +1,125 @@
+#!/bin/sh 
+#
+# AUTHOR - date
+# ===========
+# Sebastien Masson - 04/2011 - LOCEAN
+#
+# DESCRIPTION
+# ===========
+# define all varibles needed by std_plot.sh and std_plot.pro
+#
+# EXAMPLES
+# ========
+# $ . ./std_plot_vardef.sh
+#
+#
+#===================== User PATHS =====================
+#
+#idl_command=/Applications/itt/idl64/bin/idl
+idl_command=/Applications/itt/idl71/bin/idl
+#idl_command=/usr/local_linux/idl/idl_6.4/idl64/bin/idl
+#idl_command=idl71
+#
+PS_DIR=$( pwd )/500yfwb0_ps_plot_500y
+PDF_DIR=$( pwd )/500yfwb0_pdf_plot_500y
+HTML_DIR=$( pwd )/html_plot
+SAXO_DIR=/Users/sflod/SAXO_DIR
+#
+DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada     # path of data in NetCDF format
+DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
+DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
+#
+#===================== Model GRID =====================
+#
+FILE_MESH_MASK=/Users/sflod/idl_PLOTS/MASK/ORL2PISV35_mesh_mask.nc # meshmask
+FILE_MASK_SUBDOMAIN=subbasins_orca21_nored.nc              # sub-bassin masks
+#
+#===================== DATA =====================
+#
+VAR_TEMP_3D=votemper     ;   FILE_TEMP_3D=potT_annual_mean.nc                         # PHC3
+VAR_SAL_3D=vosaline      ;   FILE_SAL_3D=Salt_1y_corr_PHC3WOA09.nc                    # PHC3
+VAR_SST=sst              ;   FILE_SST=NewREY_ORCA2_1991_2000_1y.nc                   # Reynolds
+VAR_FLUX=qnet            ;   FILE_FLUX=OAFlux_1my_01_12_1984_2004_orca2_qnet.nc      # flux
+VAR_MLD=mld              ;   FILE_MLD=mld_DR003_c1m_ORCA2_1y.nc                      # Mixed layer depth
+VAR_ICE_EXT_NH=extt_NH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent North Emisphere
+VAR_ICE_EXT_SH=extt_SH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent South Emisphere
+VAR_ICE_area_NH=area_NH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area North Emisphere
+VAR_ICE_area_SH=area_SH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area South Emisphere
+VAR_SNOW_NH=SnowDepth    ;   FILE_SNOW_ARC=Warren99_1954_1991_arctic_snowdepth.nc    # Snow arctic 
+VAR_SNOW_SH=sno_dept_mm  ;   FILE_SNOW_ANT=SMMR_SSMI_antarc_sno_dep_mm1979_2004.nc   # Snow antartic
+#
+# Geothermal heating -> define FILE_GEOHEAT to 'NO' if there is not such forcing
+#                    -> define VAR_GEOHEAT to a constant if geothermal heating is constant over the domain
+VAR_GEOHEAT=heatflow   ;   FILE_GEOHEAT=geothermal_heating.nc 
+#
+#===================== EXP1 =====================
+#
+FILE1_T=500yfwb0_24910101_25001231_1Y_grid_T.nc   # exp1 grid T input file
+FILE1_U=500yfwb0_24910101_25001231_1Y_grid_U.nc   # exp1 grid U input file
+FILE1_V=500yfwb0_24910101_25001231_1Y_grid_V.nc   # exp1 grid V input file
+FILE1_I=500yfwb0_24910101_25001231_1M_icemod.nc   # exp1 ice    input file
+VAR1_T=votemper
+VAR1_S=vosaline
+VAR1_QNET=sohflxdo
+VAR1_ERP=sowafldp
+VAR1_EMP=sowaflup
+VAR1_MLD=somxl010
+VAR1_U=vozoeftr
+VAR1_V=vomeeftr
+VAR1_Ithick=iicethic
+VAR1_Ifrac=iiceconc
+VAR1_Isnow=isnowvol
+VAR1_Isal=iicesali
+VAR1_Iage=iiceages
+#
+#===================== EXP2 =====================
+#
+FILE2_T=500yfwb0_24910101_25001231_1Y_grid_T.nc   # exp1 grid T input file
+FILE2_U=500yfwb0_24910101_25001231_1Y_grid_U.nc   # exp1 grid U input file
+FILE2_V=500yfwb0_24910101_25001231_1Y_grid_V.nc   # exp1 grid V input file
+FILE2_I=500yfwb0_24910101_25001231_1M_icemod.nc   # exp1 ice    input file
+VAR2_T=votemper
+VAR2_S=vosaline
+VAR2_QNET=sohflxdo
+VAR2_ERP=sowafldp
+VAR2_EMP=sowaflup
+VAR2_MLD=somxl010
+#VAR2_U=uoce
+VAR2_U=vozoeftr
+#VAR2_V=voce
+VAR2_V=vomeeftr
+VAR2_Ithick=iicethic
+VAR2_Ifrac=iiceconc
+VAR2_Isnow=isnowthi
+VAR2_Isal=iicesali
+VAR2_Iage=iiceages
+#
+######################### Export Variables ###############################
+#
+#===================== User PATHS =====================
+export PS_DIR PDF_DIR HTML_DIR SAXO_DIR
+export DIR_DATA DIR_CLIMATO DIR_MASK
+#===================== Model GRID =====================
+export FILE_MESH_MASK FILE_MASK_SUBDOMAIN
+#===================== DATA =====================
+export FILE_TEMP_3D   VAR_TEMP_3D
+export FILE_SAL_3D    VAR_SAL_3D
+export FILE_SST       VAR_SST
+export FILE_GEOHEAT   VAR_GEOHEAT
+export FILE_FLUX      VAR_FLUX
+export FILE_MLD       VAR_MLD
+export FILE_ICE       VAR_ICE_EXT_NH  VAR_ICE_EXT_SH VAR_ICE_area_NH VAR_ICE_area_SH
+export FILE_SNOW_ARC  VAR_SNOW_NH
+export FILE_SNOW_ANT  VAR_SNOW_SH
+#===================== EXP1 =====================
+export READ_ONLY_FIRST_RECORD
+export FILE1_T     FILE1_U  FILE1_V   FILE1_I
+export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
+export VAR1_U      VAR1_V
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
+#===================== EXP2 =====================
+export FILE2_T     FILE2_U    FILE2_V   FILE2_I
+export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
+export VAR2_U      VAR2_V
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
+#
